Bug 499469 - Review Request: libtalloc - spin off of samba4 package
Review Request: libtalloc - spin off of samba4 package
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-05-06 15:03 EDT by Simo Sorce
Modified: 2010-03-16 15:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: libtalloc-2.0.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-19 12:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbarnes: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2009-05-06 15:03:15 EDT
Spec URL: http://simo.fedorapeople.org/libtalloc/libtalloc.spec
SRPM URL: http://simo.fedorapeople.org/libtalloc/libtalloc-1.3.0-0.fc11.src.rpm
Description: Spin off libtalloc from the samba4 package into its own now that upstream has finally released a separate tarball.
The package name and versioning is consistent with what was provided by the samba4 package so dropping this in and disabling building "talloc" from the samba4 package should provide a seamless migration path
Comment 1 Matthew Barnes 2009-05-08 14:03:13 EDT
rpmlint output:

libtalloc.i586: I: checking
libtalloc.i586: E: no-ldconfig-symlink /usr/lib/libtalloc.so.1.3.0
libtalloc.i586: W: shared-lib-calls-exit /usr/lib/libtalloc.so.1.3.0 exit@GLIBC_2.0
libtalloc.i586: W: no-documentation
libtalloc.i586: W: one-line-command-in-%post /sbin/ldconfig
libtalloc.i586: W: one-line-command-in-%postun /sbin/ldconfig
libtalloc-debuginfo.i586: I: checking
libtalloc-devel.i586: I: checking

libtalloc.src: I: checking
libtalloc.src:53: E: files-attr-not-set
libtalloc.src:54: E: files-attr-not-set
libtalloc.src:55: E: files-attr-not-set
libtalloc.src:56: E: files-attr-not-set
libtalloc.src:58: E: files-attr-not-set
libtalloc.src:59: E: files-attr-not-set
libtalloc.src:61: E: files-attr-not-set
libtalloc.src:62: E: files-attr-not-set

Issues to resolve:

- Missing Requires: pkgconfig.
- devel files are missing a %defattr.
Comment 2 Simo Sorce 2009-05-08 19:01:00 EDT
Fixed symlink
Fixed Requires
Fixed %defattr

Unless Warnings are critical it should be fine now.
Comment 3 Matthew Barnes 2009-05-08 22:36:57 EDT
Nah, the warnings can be ignored.  Approved.
Comment 4 Simo Sorce 2009-05-09 10:20:09 EDT
New Package CVS Request
Package Name: libtalloc
Short Description: A library that implements a hierarchical memory allocator.
Owners: simo gd
Branches: F11
Comment 5 Kevin Fenzi 2009-05-09 17:04:26 EDT
cvs done.
Comment 6 Matthew Barnes 2009-06-19 12:50:32 EDT
Closing this.
Comment 7 Stephen Gallagher 2010-02-23 14:00:41 EST
Package Change Request
Package Name: libtalloc
New Branches: EL-5
Owners: sgallagh

This is being branched in preparation for building the SSSD in EPEL. (libtalloc is
a dependency)

I have simo's permission to become the EPEL maintainer for this package.
Comment 8 Jason Tibbitts 2010-02-23 15:01:44 EST
CVS done.
Comment 9 Fedora Update System 2010-02-23 15:31:11 EST
libtalloc-2.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 10 Fedora Update System 2010-03-16 15:35:26 EDT
libtalloc-2.0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.